Package org.eclipse.jface.text

## Class DocumentRewriteSessionEvent

- java.lang.Object
- - org.eclipse.jface.text.DocumentRewriteSessionEvent

    public class DocumentRewriteSessionEvent
    extends Object

Description of the state of document rewrite sessions.

Since:
  3.1
See Also:
  `IDocument`, `IDocumentExtension4`, `IDocumentRewriteSessionListener`

### Field Summary

Fields
`Object` `fChangeType` The change type
`IDocument` `fDocument` The changed document
`DocumentRewriteSession` `fSession` The session
`static Object` `SESSION_START`
`static Object` `SESSION_STOP`

### Constructor Summary

Constructors
`DocumentRewriteSessionEvent​(IDocument doc, DocumentRewriteSession session, Object changeType)` Creates a new document event.

### Method Summary

All Methods Instance Methods Concrete Methods
`Object` `getChangeType()` Returns the change type of this event.
`IDocument` `getDocument()` Returns the changed document.
`DocumentRewriteSession` `getSession()` Returns the rewrite session.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### SESSION_START

    public static final Object SESSION_START

#### SESSION_STOP

    public static final Object SESSION_STOP

#### fDocument

    public IDocument fDocument

The changed document

#### fSession

    public DocumentRewriteSession fSession

The session

#### fChangeType

    public Object fChangeType

The change type

### Constructor Detail

#### DocumentRewriteSessionEvent

    public DocumentRewriteSessionEvent​(IDocument doc,
                                       DocumentRewriteSession session,
                                       Object changeType)

Creates a new document event.

Parameters:
  `doc` - the changed document
  `session` - the session
  `changeType` - the change type. This is either `SESSION_START` or `SESSION_STOP`.

### Method Detail

#### getDocument

    public IDocument getDocument()

Returns the changed document.

Returns:
  the changed document

#### getChangeType

    public Object getChangeType()

Returns the change type of this event. This is either `SESSION_START`or `SESSION_STOP`.

Returns:
  the change type of this event

#### getSession

    public DocumentRewriteSession getSession()

Returns the rewrite session.

Returns:
  the rewrite session